/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __IP_FRAG_H__
#define __IP_FRAG_H__

/**
 *	ip_frag_gather
 */
struct sk_buff*
ip_frag_gather(
	struct sk_buff *frag_skb
	);

#if !defined (USE_SCATTER_GATHER)

/**
 *	ip_frag_copy_packet_data
 */
int 
ip_frag_copy_packet_data(	
	struct sk_buff *skb,
	char *buf_u,
	int buf_len,
	int offset	
	);

/**
 *	ip_frag_update_packet_data
 */
void 
ip_frag_update_packet_data(
	struct sk_buff *skb,
	char *buf_u,
	int len
	);

#endif // USE_SCATTER_GATHER

#endif // __IP_FRAG_H__
