/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __NETDEV_H__
#define __NETDEV_H__

/**
 *	netdev_find_by_mac
 */
struct net_device *
netdev_find_by_mac(
	unsigned char *mac,
	int len
	);

/**
 *	netdev_find_by_ifindex
 */
struct net_device *
netdev_find_by_ifindex(
	unsigned int ifindex	
	);

/**
 *	netdev_enum_all
 */
void
netdev_enum_all(
	void
	);

/**
 * netdev_up
 */
void
netdev_up(
	struct net_device *dev
	);

/**
 * netdev_down
 */
void
netdev_down(
	struct net_device *dev
	);

/**
 *	netdev_signal_all_up
 */
void
netdev_signal_all_up(
	void
	);

/**
 *	netdev_close
 */
int
netdev_close(
	void
	);

/**
 *	netdev_init
 */
int
netdev_init(
	void
	);

#endif // __NETDEV_H__
