/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __PKT_H__
#define __PKT_H__

/**
 *	ip_finish_output
 */
int 
ip_finish_output(
	struct sk_buff *skb
	);

/**
 *	pkt_accept
 */
int32_t
pkt_accept(	
	struct kipf_packet *packet,
	struct kipf_action *action
	);

/**
 *	pkt_drop
 */
int32_t
pkt_drop(	
	struct kipf_packet *packet,
	struct kipf_action *action	
	);

/**
 *	pkt_complete
 */
int32_t
pkt_complete(	
	struct kipf_packet *packet,
	struct kipf_action *action	
	);

/**
 *	pkt_send_out
 */
int32_t
pkt_send_out(	
	unsigned char *pkt,
	unsigned int pkt_len,	
	struct kipf_action *action
	);

/**
 *	pkt_send_in
 */
int32_t
pkt_send_in(	
	unsigned char *pkt,
	unsigned int pkt_len,
	struct kipf_action *action
	);

//
//	PKT_SOCKET_TAG
//
#define PKT_SOCKET_TAG 0x12345678

#endif // __PKT_H__
