#!/bin/bash

echo "Removing all binaries..."
rm ./src/linux/*.o
rm ./*.so
rm ./example/src/linux/*.o
rm ./kipf_example

echo "Compiling dynamic library..."
gcc -Wall -I./src/include -o ./src/linux/kipf.o -c ./src/linux/kipf.c

echo "Linking dynamic library..."
gcc -Wall -shared -o ./libkipf.so ./src/linux/kipf.o -lpthread

echo "Compiling executable..."
c++ -Wall -I./src/include -o ./example/src/linux/main.o -c ./example/src/linux/main.cpp

echo "Linking executable..."
c++ -Wall ./example/src/linux/main.o -o ./kipf_example ./libkipf.so -lpthread

exit
